SystemOrganization addCategory: #'XLS-Exporter-Formatting'!
SystemOrganization addCategory: #'XLS-Exporter'!

Object subclass: #Font
	instanceVariableNames: 'statements height italic struck_out outline shadow colour_index bold us_weight escapement underline family charset name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'XLS-Exporter-Formatting'!

!Font methodsFor: 'initialize-release' stamp: 'SauravBhattacharya 7/7/2012 02:02'!
initialize
	"comment stating purpose of message"

	| temporary variable names |
	  super initialize .
	  height:= '0x00C8' .
        italic:= False.
        struck_out:= False.
        outline:= False.
        shadow:= False.
        colour_index:= '0x7FFF'.
        bold:= False.
        us_weight:= '0x0190' .
        escapement:= '0x00'.
        underline:= '0x00'.
        family:=  '0x00'.
        charset:= '0x01'.
        name:= 'Arial'.! !

Object subclass: #Workbook
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'XLS-Exporter'!

Object subclass: #XLSExporter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'XLS-Exporter'!

!XLSExporter methodsFor: 'as yet unclassified' stamp: 'SauravBhattacharya 7/10/2012 03:39'!
generateXLSAt: aPath filename: aName spreadsheet: aSpreadsheet
	"comment stating purpose of message"

	| currFilePath filePath stream numOfWorksheets rows cols cell prefix |
	numOfWorksheets := aSpreadsheet worksheetNum.
	
	1 to: numOfWorksheets do: [:currwb | 	
		prefix:=(currwb ) asString .	
		filePath := aPath,prefix,aName .
		stream := StandardFileStream fileNamed: filePath .
		"stream nextPutAll: (aSpreadsheet worksheetAt: currwb) title."
		"stream nextPutAll: String cr."
		rows := (aSpreadsheet worksheetAt: currwb ) maxNumOfRows.
		cols := (aSpreadsheet worksheetAt: currwb ) maxNumOfColumns.
		1 to:rows do: [:row |
			
			1 to:cols do: [:col | 	
				cell:= ((aSpreadsheet worksheetAt: currwb) cellAt: row at: col).
				stream nextPutAll: cell value.
				stream nextPutAll: String tab.
			].
		stream nextPutAll: String cr.
		].	
		stream nextPutAll: String cr.
		stream cr.
		stream close.	
	].
	! !
